Loading...
Searching...
No Matches
HowardMmc< GR, CM, TR >::SetPath< T > Struct Template Reference

## Detailed Description

template<typename GR, typename CM, typename TR>
template<typename T>
struct lemon::HowardMmc< GR, CM, TR >::SetPath< T >

Named parameter for setting the `Path` type of the found cycles. It must conform to the Path concept and it must have an `addBack()` function.

`#include <lemon/howard_mmc.h>`

Inheritance diagram for HowardMmc< GR, CM, TR >::SetPath< T >:
[legend]

## Additional Inherited Members

Public Types inherited from HowardMmc< GR, CM, SetPathTraits< T > >
enum | TerminationCause
| Constants for the causes of search termination. More...
typedef SetPathTraits< T >::Digraph | Digraph
| The type of the digraph.
typedef SetPathTraits< T >::CostMap | CostMap
| The type of the cost map.
typedef SetPathTraits< T >::Cost | Cost
| The type of the arc costs.
typedef SetPathTraits< T >::LargeCost | LargeCost
| The large cost type.
typedef SetPathTraits< T >::Tolerance | Tolerance
| The tolerance type.
typedef SetPathTraits< T >::Path | Path
| The path type of the found cycles.
typedef SetPathTraits< T > | Traits
| The traits class of the algorithm.
Public Member Functions inherited from HowardMmc< GR, CM, SetPathTraits< T > >
| HowardMmc (const Digraph &digraph, const CostMap &cost)
| Constructor.
| ~HowardMmc ()
| Destructor.
HowardMmc & | cycle (Path &path)
| Set the path structure for storing the found cycle.
HowardMmc & | tolerance (const Tolerance &tolerance)
| Set the tolerance used by the algorithm.
const Tolerance & | tolerance () const
| Return a const reference to the tolerance.
bool | run ()
| Run the algorithm.
TerminationCause | findCycleMean (int limit=std::numeric_limits< int >::max())
| Find the minimum cycle mean (or an upper bound).
bool | findCycle ()
| Find a minimum mean directed cycle.
Cost | cycleCost () const
| Return the total cost of the found cycle.
int | cycleSize () const
| Return the number of arcs on the found cycle.
double | cycleMean () const
| Return the mean cost of the found cycle.
const Path & | cycle () const
| Return the found cycle.